### Function

# WPEPlatform InputMethodUnderline new

#### Declaration [src]

    WPEInputMethodUnderline*
    wpe_input_method_underline_new (
      guint start_offset,
      guint end_offset
    )

#### Description [src]

Create a new `WPEInputMethodUnderline` for the given range in preedit string.

#### Parameters

`start_offset`

  Type: `guint`

  The start offset in preedit string.

`end_offset`

  Type: `guint`

  The end offset in preedit string.

#### Return value

Type: `WPEInputMethodUnderline`

A newly created `WPEInputMethodUnderline`.

The caller of the function takes ownership of the data, and is responsible for freeing it.